## org.apache.batik.apps.svgbrowser
Class Main.FontSizeHandler

    java.lang.Object
      org.apache.batik.apps.svgbrowser.Main.FontSizeHandler

All Implemented Interfaces:
  Main.OptionHandler

Enclosing class:
  Main

protected class Main.FontSizeHandler
extends java.lang.Object
implements Main.OptionHandler

To handle the '-font-size' option.

Constructor Summary
`protected` `Main.FontSizeHandler()`

Method Summary
`java.lang.String` `getDescription()` Returns the option description.
`int` `handleOption(int i)` Handles the current option.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Main.FontSizeHandler

    protected Main.FontSizeHandler()

Method Detail

### handleOption

    public int handleOption(int i)

  Description copied from interface: `Main.OptionHandler`
  Handles the current option.

  Specified by:
    `handleOption` in interface `Main.OptionHandler`
  Returns:
    the index of argument just before the next one to handle.

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `Main.OptionHandler`
  Returns the option description.

  Specified by:
    `getDescription` in interface `Main.OptionHandler`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.